include:
  - project: repos/releng/kokkuri
    file: includes/images.yaml
  - project: repos/data-engineering/workflow_utils
    ref: v0.13.0
    file: /gitlab_ci_templates/lib/git_ci.yml

stages:
  - build

variables:
  JAVA11_IMAGE: docker-registry.wikimedia.org/releng/maven-java11:1.0.0-s1

mvn-package:
  stage: build
  image:
    name: $JAVA11_IMAGE
    entrypoint: [""]
  variables:
    MAVEN_OPTS: -Dmaven.repo.local=$CI_PROJECT_DIR/.m2/repository
  cache:
    - key: maven
      paths:
        - .m2/repository
  before_script:
    - cat /proc/meminfo
  script:
    - ./mvnw --batch-mode -gs /settings.xml clean verify
  artifacts:
    name: $CI_JOB_STAGE-$CI_COMMIT_REF_NAME-jars
    paths:
      - target/iguana-*.jar
    expire_in: 7 days
